Yum release version problem in rawhide Fedora 7.Please Help me - Redhat

This is a discussion on Yum release version problem in rawhide Fedora 7.Please Help me - Redhat ; Hello everyone: I'm currently using Fedora 7 which is updated form FC5 by yum. I find i couldn't use yum to update or install anymore. the Err message is http://download.fedora.redhat.com/pu...ases/7.89/Ever ... [Errno -1] Error importing repomd.xml for fedora: Damaged repomd.xml ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Yum release version problem in rawhide Fedora 7.Please Help me

  1. Yum release version problem in rawhide Fedora 7.Please Help me

    Hello everyone:
    I'm currently using Fedora 7 which is updated form FC5 by yum. I find
    i couldn't use yum to update or install anymore. the Err message is

    http://download.fedora.redhat.com/pu...ases/7.89/Ever...
    [Errno -1] Error importing repomd.xml for fedora: Damaged repomd.xml
    file

    I notice that the version is 7.89 but it should be 7.After looking
    into /etc/yum.repo.d/ I realize that a variable named $releasever is
    not correct and this variable is set in yum.conf by disttroverpkg
    option. Follow those hints, I changed the content in/etc/fedora-
    release file from 7.89 to 7 But THAT DOESN'TWORK. I also managed to
    reinstall the fedora-release 7-3 or install fedora-release 7.89-2 and
    remove other repo like freshrpm and livna.I guess freshrpm was not
    compatible with a rawhide version fedora and massed up my yum.

    My QUESTION IS how to change the $releasever in yum repo files in
    order to make a correct download path

    Another problem is that when i changed fedora.repo file with correct
    path.My yum could download primary.sqlite.bz2 from server but the
    matadata file's checksum always worong. I want to know where does yum
    get checksum file and How to set them in the yum

    Thanks.


  2. Re: Yum release version problem in rawhide Fedora 7.Please Help me

    On Jun 24, 9:28 am, "hide1...@gmail.com" wrote:
    > Hello everyone:
    > I'm currently using Fedora 7 which is updated form FC5 by yum. I find
    > i couldn't use yum to update or install anymore. the Err message is
    >
    > http://download.fedora.redhat.com/pu...ases/7.89/Ever...
    > [Errno -1] Error importing repomd.xml for fedora: Damaged repomd.xml
    > file
    >
    > I notice that the version is 7.89 but it should be 7.After looking
    > into /etc/yum.repo.d/ I realize that a variable named $releasever is
    > not correct and this variable is set in yum.conf by disttroverpkg
    > option. Follow those hints, I changed the content in/etc/fedora-
    > release file from 7.89 to 7 But THAT DOESN'TWORK. I also managed to
    > reinstall the fedora-release 7-3 or install fedora-release 7.89-2 and
    > remove other repo like freshrpm and livna.I guess freshrpm was not
    > compatible with a rawhide version fedora and massed up my yum.
    >
    > My QUESTION IS how to change the $releasever in yum repo files in
    > order to make a correct download path
    >
    > Another problem is that when i changed fedora.repo file with correct
    > path.My yum could download primary.sqlite.bz2 from server but the
    > matadata file's checksum always worong. I want to know where does yum
    > get checksum file and How to set them in the yum
    >
    > Thanks.




    I look into the source code of yum in /usr/lib/python2.5/site-packages/
    yum/config.py

    In this file you will find that the releasever var is matched form rpm
    database. After that the solution is pretty
    easy.

    use rpm --force --i fedora-release-7-3.rpm to install fc7
    you also have to use rpm -e fedora-release-7.89.rpm to uninstall old
    one so that the rpm database could return a correct releasever.


+ Reply to Thread